numVar = 20
nameX = matrix(0,numVar,1)
for (j in 1:numVar) {
  nameX[j,1] = paste(c("Sample ",as.character(j)), collapse = '')
}

ui <- fluidPage(pageWithSidebar(
  headerPanel('GMM clustering Example'),
  sidebarPanel(
    p("Here we generate 10 examples of 2D points acording to number of groups that you want. 
      Then we perform an automatic identification of groups according to an effcient thecnique. Let's do it!!!"),
    p("This technique is similar to our way of thinking :)) !"),
    selectInput('NumGaussians', 'Choose number of groups to draw 2D points', c(2,3,4,5)),
    selectInput('Sample', 'Select the 2D points that you want to use', nameX)
  ),
  mainPanel(
    plotOutput('plot2'),
    plotOutput('plot1')
  )
))